| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::Paint Class Referencefinal

`#include <paint.h>`

Inheritance diagram for impeller::interop::Paint:

## Public Member Functions
| Paint ()
| ~Paint () override
| Paint (const Paint &)=delete
Paint & | operator= (const Paint &)=delete
const flutter::DlPaint & | GetPaint () const
void | SetColor (flutter::DlColor color)
void | SetBlendMode (BlendMode mode)
void | SetDrawStyle (flutter::DlDrawStyle style)
void | SetStrokeCap (flutter::DlStrokeCap stroke_cap)
void | SetStrokeJoin (flutter::DlStrokeJoin stroke_join)
void | SetStrokeWidth (Scalar width)
void | SetStrokeMiter (Scalar miter)
void | SetColorFilter (const ColorFilter &filter)
void | SetColorSource (const ColorSource &source)
void | SetImageFilter (const ImageFilter &filter)
void | SetMaskFilter (const MaskFilter &filter)
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< Paint, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerPaint)>
using | InteropClass = Paint
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerPaint)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Detailed Description

Definition at line 21 of file paint.h.

## Constructor & Destructor Documentation

## ◆ Paint() [1/2]

impeller::interop::Paint::Paint | ( |  | ) |
| default

## ◆ ~Paint()

impeller::interop::Paint::~Paint | ( |  | ) |
| overridedefault

## ◆ Paint() [2/2]

impeller::interop::Paint::Paint | ( | const Paint & |  | ) |
| delete

## Member Function Documentation

## ◆ GetPaint()

const flutter::DlPaint & impeller::interop::Paint::GetPaint | ( |  | ) | const

Definition at line 13 of file paint.cc.

13 {
14 return paint_;
15 }

Referenced by impeller::interop::DisplayListBuilder::DrawDashedLine(), impeller::interop::DisplayListBuilder::DrawLine(), impeller::interop::DisplayListBuilder::DrawOval(), impeller::interop::DisplayListBuilder::DrawPaint(), impeller::interop::DisplayListBuilder::DrawPath(), impeller::interop::DisplayListBuilder::DrawRect(), impeller::interop::DisplayListBuilder::DrawRoundedRect(), impeller::interop::DisplayListBuilder::DrawRoundedRectDifference(), impeller::interop::DisplayListBuilder::DrawTexture(), impeller::interop::DisplayListBuilder::DrawTextureRect(), and impeller::interop::DisplayListBuilder::SaveLayer().

## ◆ operator=()

Paint& impeller::interop::Paint::operator= | ( | const Paint & |  | ) |
| delete

## ◆ SetBlendMode()

void impeller::interop::Paint::SetBlendMode | ( | BlendMode | mode | ) |

Definition at line 21 of file paint.cc.

21 {
22 paint_.setBlendMode(ToDisplayListType(mode));
23 }

References impeller::interop::ToDisplayListType().

## ◆ SetColor()

void impeller::interop::Paint::SetColor | ( | flutter::DlColor | color | ) |

Definition at line 17 of file paint.cc.

17 {
18 paint_.setColor(color);
19 }

References color.

## ◆ SetColorFilter()

void impeller::interop::Paint::SetColorFilter | ( | const ColorFilter & | filter | ) |

Definition at line 45 of file paint.cc.

45 {
46 paint_.setColorFilter(filter.GetColorFilter());
47 }

References impeller::interop::ColorFilter::GetColorFilter().

## ◆ SetColorSource()

void impeller::interop::Paint::SetColorSource | ( | const ColorSource & | source | ) |

Definition at line 49 of file paint.cc.

49 {
50 paint_.setColorSource(source.GetColorSource());
51 }

References impeller::interop::ColorSource::GetColorSource().

## ◆ SetDrawStyle()

void impeller::interop::Paint::SetDrawStyle | ( | flutter::DlDrawStyle | style | ) |

Definition at line 25 of file paint.cc.

25 {
26 paint_.setDrawStyle(style);
27 }

## ◆ SetImageFilter()

void impeller::interop::Paint::SetImageFilter | ( | const ImageFilter & | filter | ) |

Definition at line 53 of file paint.cc.

53 {
54 paint_.setImageFilter(filter.GetImageFilter());
55 }

References impeller::interop::ImageFilter::GetImageFilter().

## ◆ SetMaskFilter()

void impeller::interop::Paint::SetMaskFilter | ( | const MaskFilter & | filter | ) |

Definition at line 57 of file paint.cc.

57 {
58 paint_.setMaskFilter(filter.GetMaskFilter());
59 }

References impeller::interop::MaskFilter::GetMaskFilter().

## ◆ SetStrokeCap()

void impeller::interop::Paint::SetStrokeCap | ( | flutter::DlStrokeCap | stroke_cap | ) |

Definition at line 29 of file paint.cc.

29 {
30 paint_.setStrokeCap(stroke_cap);
31 }

## ◆ SetStrokeJoin()

void impeller::interop::Paint::SetStrokeJoin | ( | flutter::DlStrokeJoin | stroke_join | ) |

Definition at line 33 of file paint.cc.

33 {
34 paint_.setStrokeJoin(stroke_join);
35 }

## ◆ SetStrokeMiter()

void impeller::interop::Paint::SetStrokeMiter | ( | Scalar | miter | ) |

Definition at line 41 of file paint.cc.

41 {
42 paint_.setStrokeMiter(miter);
43 }

## ◆ SetStrokeWidth()

void impeller::interop::Paint::SetStrokeWidth | ( | Scalar | width | ) |

Definition at line 37 of file paint.cc.

37 {
38 paint_.setStrokeWidth(width);
39 }

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/paint.h
- impeller/toolkit/interop/paint.cc

impeller::interop::ToDisplayListType
constexpr flutter::DlColor ToDisplayListType(Color color)
Definition: formats.h:73
color
DlColor color
Definition: dl_golden_blur_unittests.cc:24